<script setup lang="ts">
import SearchButton from "@/components/organisms/button/SearchButton.vue";
import {FwbCard} from "flowbite-vue";
import Flex from "@/components/atoms/container/Flex.vue";

defineProps<{ onSubmit: Function }>()
</script>

<template>
  <FwbCard class="horizontal-card-size h-min 2xl:horizontal-card-size-remove 2xl:sticky 2xl:top-6  ">
    <p class="p-container font-bold">Filtres</p>
    <hr/>
    <form @submit="(event) => {
      event.preventDefault();
      onSubmit(event);
    } ">
      <Flex class="gap-content p-container justify-between 2xl:flex-col 2xl:justify-start">
        <Flex class="gap-content 2xl:flex-col">
          <slot/>
        </Flex>
        <SearchButton type="submit"/>
      </Flex>
    </form>
  </FwbCard>
</template>